cvslockd(1)

NAME
cvslockd - CVSNT Lock Server

SYNOPSIS
cvslockd [-d] [-l] [-g] [-p port]

DESCRIPTION
cvslockd is the CVSNT lock server. It is a replacement for the old file based locks from cvs.

The lock server reports not only that a lock exists, but also who is holding it and it automatically removes stale locks.

OPTIONS

-d  Debug mode. Print debug output.

-l  Listen on local (loopback) interface only.

-g  Listen on all interfaces.

-p port
    Defines the port where the lock server listens. Default is 2402.

FILES
/etc/cvsnt/PServer(5)
    Global configuration file for CVSNT server and CVSNT lock server.
$CVSROOT/CVSROOT/commitinfo,v $CVSROOT/CVSROOT/cvsignore,v $CVSROOT/CVSROOT/cvswrappers,v $CVSROOT/CVSROOT/editinfo,v $CVSROOT/CVSROOT/history $CVSROOT/CVSROOT/loginfo,v $CVSROOT/CVSROOT/modules,v $CVSROOT/CVSROOT/rcsinfo,v $CVSROOT/CVSROOT/taginfo,v $CVSROOT/CVSROOT/passwd $CVSROOT/CVSROOT/admin
    CVSNT support files. They are described in cvsnt.5

BUGS
The lock server may crash at start up, although this has been reported only on Windows 2000 systems.

AUTHORS
CVSNT and CVSNT Lock Server written by Tony Hoyle <tony.hoyle@march-hare.com>. Manual page written by Andreas Tscharner <andy@vis.ethz.ch>.

SEE ALSO
cvsnt(1) The CVSNT client and server replacement for cvs.